Skip to main content
GET
List project usage logs

Authorizations

Authorization
string
header
required

Human personal access token (sk-actrl-pat-...).

Query Parameters

projectId
string<uuid>
required

Project scope for the request-log read.

since
string<date-time>

Inclusive ISO 8601 lower bound.

until
string<date-time>

Exclusive ISO 8601 upper bound.

provider
string

Exact provider slug filter.

Maximum string length: 64
model
string

Exact routed model identifier.

Maximum string length: 200
status
integer

Exact upstream HTTP status code.

Required range: 100 <= x <= 599
gatewayId
string<uuid>

Optional exact gateway UUID filter.

limit
integer
default:50

Page size. Defaults to 50; maximum 200.

Required range: 1 <= x <= 200
cursor
string

Opaque next_cursor from the previous response. It is bound to this project and the exact active filters.

Maximum string length: 2048
offset
integer
default:0

Legacy zero-based row offset. Defaults to 0. Cannot be combined with cursor; cursor pagination is recommended.

Required range: x >= 0

Response

Project usage logs.

ok
enum<boolean>
required
Available options:
true
data
object
required